def creation_mdp(n, nbr_m, nbr_c, nbr_s):
	mdp = ''
	caracteres='abcdefghijklmnopqrstuvwxyz' + \
			'ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789' + \
            '#@!?%<>=\u20AC$+-*/&'
	majuscules = 0
	chiffres = 0
	symboles = 0
	while len(mdp) < n or majuscules < nbr_m or chiffres < nbr_c or symboles < nbr_s:
		c = choice(caracteres)
		if c.isupper():
			majuscules += 1		
		if c.isdigit():
			chiffres += 1
		if c in liste_symboles:
			symboles += 1
		mdp = mdp + c
	return mdp